package com.liquidnet.service.sweet.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;

@Data
public class SweetManualArtistListDto implements Serializable,Cloneable {

    private String manualRelationId;
    private String artistId;
    private String name;
    private String stageId;
    private String title;
    private String performanceStart;
    private String performanceEnd;
    private String signatureStart;
    private String signatureEnd;

    private ArrayList<String> date;

    private static final SweetManualArtistListDto obj = new SweetManualArtistListDto();
    public static SweetManualArtistListDto getNew() {
        try {
            return (SweetManualArtistListDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new SweetManualArtistListDto();
        }
    }
}
